EUIMAGE-INSTALL-PACK(1)

NAME
euimage-install-pack - ***TECH PREVIEW***

SYNOPSIS
euimage-install-pack [--profile PROFILE] [-b BUCKET[/PREFIX]]

[--location LOCATION] [--privatekey FILE]
    [--cert FILE] [--ec2cert FILE] [--user ACCOUNT] [--kernel IMAGE] [--ramdisk IMAGE] [--ec2-url EC2_URL] [--progress | --no-progress] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] FILE

DESCRIPTION
***TECH PREVIEW***

DESCRIPTION
Install a packed image into the cloud

  positional arguments:

FILE
    the pack to install (required)

  optional arguments:

--profile PROFILE
    which of the image's profiles to install (default: "default")

-b BUCKET[/PREFIX], --bucket BUCKET[/PREFIX]
    bucket to upload the image to (required)

--location LOCATION
    location constraint of the destination bucket (default: inferred from s3-location-constraint in configuration, or otherwise none

--privatekey FILE
    file containing your private key to sign the bundle's manifest with. This private key will also be required to unbundle the bundle in the future. (instance-store only)

--cert FILE
    file containing your X.509 certificate (instance-store only)

--ec2cert FILE
    file containing the cloud's X.509 certificate (instance-store only)

--user ACCOUNT
    your account ID (instance-store only)

--kernel IMAGE
    ID of the kernel image to associate with this machine image (paravirtual only)

--ramdisk IMAGE
    ID of the ramdisk image to associate with this machine image (paravirtual only)

--ec2-url EC2_URL
    compute service endpoint URL

--progress
    show progress (the default when run interactively)

--no-progress
    do not show progress (the default when run noninteractively)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    object storage service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit